package Ensembl.artemis;
public class FeatureHelper
{
	public FeatureHelper()
	{
	}
	public static void insert(org.omg.CORBA.Any any, Ensembl.artemis.Feature s)
	{
		any.insert_Object(s);
	}
	public static Ensembl.artemis.Feature extract(org.omg.CORBA.Any any)
	{
		return narrow(any.extract_Object());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return org.omg.CORBA.ORB.init().create_interface_tc( "IDL:Ensembl/artemis/Feature:1.0", "Feature");
	}
	public static String id()
	{
		return "IDL:Ensembl/artemis/Feature:1.0";
	}
	public static Feature read(org.omg.CORBA.portable.InputStream in)
	{
		return narrow( in.read_Object());
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, Ensembl.artemis.Feature s)
	{
		_out.write_Object(s);
	}
	public static Ensembl.artemis.Feature narrow(org.omg.CORBA.Object obj)
	{
		try
		{
			return (Ensembl.artemis.Feature)obj;
		}
		catch( ClassCastException c )
		{
			if( obj._is_a("IDL:Ensembl/artemis/Feature:1.0"))
			{
				Ensembl.artemis._FeatureStub stub;
				stub = new Ensembl.artemis._FeatureStub();
				stub._set_delegate(((org.omg.CORBA.portable.ObjectImpl)obj)._get_delegate());
				return stub;
			}
		}
		return null;
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream _out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
}
